For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://developer.shipbob.com/api/receiving/llms.txt. For full documentation content, see https://developer.shipbob.com/api/receiving/llms-full.txt.

# Get Inventory Distributions by WRO ID

GET https://api.shipbob.com/2026-01/receiving/{id}/distributions

Retrieves the distribution details for a specific receiving order within ShipBob's Inventory Placement Program (IPP).

<Warning>This endpoint is available only to accounts enrolled in ShipBob's Inventory Placement Program (IPP).</Warning>

Reference: https://developer.shipbob.com/api/receiving/get-inventory-distributions-by-wro-id

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: api-2026-01
  version: 1.0.0
paths:
  /2026-01/receiving/{id}/distributions:
    get:
      operationId: get-inventory-distributions-by-wro-id
      summary: Get Inventory Distributions by WRO ID
      description: >-
        Retrieves the distribution details for a specific receiving order within
        ShipBob's Inventory Placement Program (IPP).


        <Warning>This endpoint is available only to accounts enrolled in
        ShipBob's Inventory Placement Program (IPP).</Warning>
      tags:
        - subpackage_receiving
      parameters:
        - name: id
          in: path
          description: |
            Id of the receiving order
          required: true
          schema:
            type: string
            format: int32
        - name: Authorization
          in: header
          description: Authentication using Personal Access Token (PAT) token or OAuth2
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Receiving.WroDistributionDetailsResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Receiving.ProblemDetails'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Receiving.ProblemDetails'
        '500':
          description: Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Receiving.ProblemDetails'
servers:
  - url: https://api.shipbob.com
  - url: https://sandbox-api.shipbob.com
components:
  schemas:
    Receiving.DistributionStatus:
      type: string
      enum:
        - NotStarted
        - InProgress
        - Stowing
        - Completed
      title: Receiving.DistributionStatus
    Receiving.DistributionItem:
      type: object
      properties:
        expected_quantity:
          type: integer
          description: >-
            Quantity to be distributed according with the transfer plan
            calculation
        fulfillment_center_abbreviation:
          type:
            - string
            - 'null'
          description: >-
            Abbreviation of Destination Fulfillment Center Id, including Airport
            Code and Sequence Number
        fulfillment_center_id:
          type: integer
          description: Destination Fulfillment Center Id for the item
        inventory_id:
          type: integer
          description: Inventory Id of the Item
        lot_date:
          type:
            - string
            - 'null'
          format: date-time
          description: Lot expiration date of the item
        lot_number:
          type:
            - string
            - 'null'
          description: Lot number of the item
        product_sku:
          type:
            - string
            - 'null'
          description: Product SKU
        received_quantity:
          type: integer
          description: Quantity received at hub for this item
        status:
          $ref: '#/components/schemas/Receiving.DistributionStatus'
        stowed_quantity:
          type: integer
          description: Quantity stowed at Destination Fulfillment Center for this item
      title: Receiving.DistributionItem
    Receiving.WarehousePickupRequestStatus:
      type: string
      enum:
        - Awaiting
        - Processing
        - Completed
        - Cancelled
        - Incomplete
        - Arrived
        - PartiallyArrived
        - PartiallyArrivedAtHub
        - ArrivedAtHub
        - ProcessingAtHub
        - InternalTransfer
      title: Receiving.WarehousePickupRequestStatus
    Receiving.WroDistributionDetailsResponse:
      type: object
      properties:
        distributions:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Receiving.DistributionItem'
          description: >-
            List of distribution items, for a combination of InventoryId, Lot
            Number, Lot Date and Destination Fulfillment Center Id
        id:
          type: integer
          description: Id of the receiving order
        status:
          $ref: '#/components/schemas/Receiving.WarehousePickupRequestStatus'
      title: Receiving.WroDistributionDetailsResponse
    Receiving.ProblemDetails:
      type: object
      additionalProperties:
        description: Any type
      title: Receiving.ProblemDetails
  securitySchemes:
    PAT:
      type: http
      scheme: bearer
      description: Authentication using Personal Access Token (PAT) token or OAuth2

```

## SDK Code Examples

```python Receiving_getInventoryDistributionsByWroId_example
import requests

url = "https://api.shipbob.com/2026-01/receiving/id/distributions"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Receiving_getInventoryDistributionsByWroId_example
const url = 'https://api.shipbob.com/2026-01/receiving/id/distributions';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Receiving_getInventoryDistributionsByWroId_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.shipbob.com/2026-01/receiving/id/distributions"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Receiving_getInventoryDistributionsByWroId_example
require 'uri'
require 'net/http'

url = URI("https://api.shipbob.com/2026-01/receiving/id/distributions")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Receiving_getInventoryDistributionsByWroId_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.shipbob.com/2026-01/receiving/id/distributions")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Receiving_getInventoryDistributionsByWroId_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.shipbob.com/2026-01/receiving/id/distributions', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Receiving_getInventoryDistributionsByWroId_example
using RestSharp;

var client = new RestClient("https://api.shipbob.com/2026-01/receiving/id/distributions");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Receiving_getInventoryDistributionsByWroId_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/2026-01/receiving/id/distributions")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```